Bug 237838 - modcluster and ricci scriptlets fail during install
modcluster and ricci scriptlets fail during install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: conga (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 12:26 EDT by Nate Straz
Modified: 2009-04-16 16:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 18:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2007-04-25 12:26:41 EDT
Description of problem:

While installing the entire cluster channel, the modcluster and ricci
postinstall scriptlets fail.

  60:oddjob                 ########################################### [100%]
  61:modcluster             ########################################### [100%]
error: %post(modcluster-0.9.1-6.i386) scriptlet failed, exit status 1
  62:httpd                  ########################################### [100%]
  63:gnome-python2          ########################################### [100%]
  64:gnome-python2-canvas   ########################################### [100%]
  65:httpd-suexec           ########################################### [100%]
  66:oddjob-libs            ########################################### [100%]
  67:gnome-python2-bonobo   ########################################### [100%]
  68:system-config-cluster  ########################################### [100%]
  69:cluster-cim            ########################################### [100%]
  70:cluster-snmp           ########################################### [100%]
  71:ricci                  ########################################### [100%]
error: %post(ricci-0.9.1-6.i386) scriptlet failed, exit status 1
  72:php                    ########################################### [100%]
  73:piranha                ########################################### [100%]
  74:php-pear               ########################################### [100%]
There was a fatal RPM error. The message was:
Failed running rpm transaction

This is probably because oddjobd is not running as it was installed in the same
transaction.  The last thing each scriptlet does is

/sbin/service oddjobd reload >/dev/null 2>&1

Version-Release number of selected component (if applicable):
ricci-0.9.1-6
modcluster-0.9.1-6


How reproducible:
100%

Steps to Reproduce:
1. rpm -e oddjob # if necessary
2. up2date -i ricci modcluster
  
Actual results:
See above

Expected results:
The scriptlets should not fail.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.